Package org.eclipse.e4.ui.css.core.dom.properties.css2

# Class AbstractCSSPropertyFontCompositeHandler

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyFontCompositeHandler

All Implemented Interfaces:
  `ICSSPropertyCompositeHandler`, `ICSSPropertyHandler`

Direct Known Subclasses:
  `AbstractCSSPropertyFontHandler`

public abstract class AbstractCSSPropertyFontCompositeHandler extends AbstractCSSPropertyCompositeHandler
Abstract class which dispatch font CSS Property defined to call the applyCSSProperty methods CSS Properties font-style, font-family, font-weight, font-size.

Version:
  1.0.0
Author:
  Angelo ZERR

## Constructor Summary

Constructors
Constructor
Description
`AbstractCSSPropertyFontCompositeHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSProperty(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property.
`String[]`
`getCSSPropertiesNames(String property)`
Return the CSS Properties names if the CSS Property `property` is composite and null otherwise.
`boolean`
`isCSSPropertyComposite(String property)`
Return true if `property` is CSS Property composite and false otherwise.

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler

`applyCSSPropertyComposite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.e4.ui.css.core.dom.properties.ICSSPropertyHandler

`applyCSSProperty, retrieveCSSProperty`

## Constructor Details

### AbstractCSSPropertyFontCompositeHandler

public AbstractCSSPropertyFontCompositeHandler()

## Method Details

### applyCSSProperty

public void applyCSSProperty(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from class: `AbstractCSSPropertyCompositeHandler`
Apply CSS Property.

Specified by:
  `applyCSSProperty` in class `AbstractCSSPropertyCompositeHandler`
Throws:
  `Exception`

### isCSSPropertyComposite

public boolean isCSSPropertyComposite(String property)
Description copied from interface: `ICSSPropertyCompositeHandler`
Return true if `property` is CSS Property composite and false otherwise.

### getCSSPropertiesNames

public String[] getCSSPropertiesNames(String property)
Description copied from interface: `ICSSPropertyCompositeHandler`
Return the CSS Properties names if the CSS Property `property` is composite and null otherwise.